/**Begin D:\DBA\PDM_UPGRADE\PDM1\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BCM_INVCASEENTITY' AND KSQL_COL_NAME IN ('FDESIGNDIM'))
 ALTER TABLE T_BCM_INVCASEENTITY ADD (FDESIGNDIM VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BCM_INVCASEENTITY' AND KSQL_COL_NAME IN ('FCHARGEAGAINST'))
 ALTER TABLE T_BCM_INVCASEENTITY ADD (FCHARGEAGAINST CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_INVCASEPAGEDIMRUN')
 CREATE TABLE T_BCM_INVCASEPAGEDIMRUN (
FID BIGINT DEFAULT 0 NOT NULL,
FMODEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSCENARIO VARCHAR(50) DEFAULT ' ' NOT NULL,
FYEAR VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDIM VARCHAR(300) DEFAULT ' ' NOT NULL,
FCOMPUTETYPE CHAR(2) DEFAULT ' ' NOT NULL,
FPAGEDIMID BIGINT DEFAULT 0 NOT NULL,
FTARGETDIM VARCHAR(300) DEFAULT ' ' NOT NULL
);



/**End D:\DBA\PDM_UPGRADE\PDM1\BCM_table.sql **/
